Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.widget
Class WSoundLevel

    java.lang.Object
      |
      +--context.arch.BaseObject
            |
            +--context.arch.widget.Widget
                  |
                  +--context.arch.widget.WSoundLevel

public class WSoundLevel
extends Widget

This class contains definitions for a context widget that provides information on the ambient sound level in a particular location. The information is in the form of a location and a volume value. It has the following callbacks: UPDATE. It supports polling and subscriptions. Currently it only uses the SoundLevel widget written in Frontier and itself relying on the Sonic Mac application (ie, the generator). It handles only a single SoundLevel instance. Since the widget is entirely implemented in Frontier, this class only contains definitions useful for the application programmer wishing to use the SoundLevel widget.

See Also:
  `Widget`

Field Summary
`static java.lang.String` | `CLASSNAME` Name of widget
`static java.lang.String` | `LOCATION` Tag for user location
`java.lang.String` | `VERSION_NUMBER` Widget version number
`static java.lang.String` | `VOLUME` Tag for user id

Fields inherited from class context.arch.widget.Widget
`attributes, attributeTypes, callbacks, CLASS, CurrentOffset, DEFAULT_PORT, id, PUT_DATA, PUT_DATA_REPLY, QUERY, QUERY_ATTRIBUTES, QUERY_ATTRIBUTES_REPLY, QUERY_CALLBACKS, QUERY_CALLBACKS_REPLY, QUERY_REPLY, QUERY_SERVICES, QUERY_SERVICES_REPLY, QUERY_VERSION, QUERY_VERSION_REPLY, services, SPACER, storage, subscribers, TIMESTAMP, UPDATE, UPDATE_AND_QUERY, UPDATE_AND_QUERY_REPLY, VERSION, VERSION_NUMBER`

Fields inherited from class context.arch.BaseObject
`communications, EXIT_OK, handlers, ID, parser, PING, PING_REPLY, serviceHandlers`

Constructor Summary
`WSoundLevel()` Dummy constructor to allow compilation

Method Summary
`protected AttributeNameValues` | `queryGenerator()` This method implements the abstract method Widget.queryGenerator().
`protected Attributes` | `setAttributes()` This method implements the abstract method Widget.setAttributes().
`protected Callbacks` | `setCallbacks()` This method implements the abstract method Widget.setCallbacks().
`protected Services` | `setServices()` This method implements the abstract method Widget.setServices().

Methods inherited from class context.arch.widget.Widget
`addSubscriber, canHandle, canHandle, canHandle, canHandle, executeService, getAttributeType, getCurrentTime, getNewOffset, getNewOffsetNoDelay, isAttribute, isCallback, notify, processCallbackReply, putData, queryAttributes, queryCallbacks, queryServices, queryWidget, removeSubscriber, retrieveData, runUserMethod, runWidgetMethod, sendToSubscribers, setAttribute, store, store, updateWidgetInformation`

Methods inherited from class context.arch.BaseObject
`askInterpreter, decodeData, encodeData, executeAsynchronousWidgetService, executeSynchronousWidgetService, getHostAddress, getId, getVersion, getVersion, getWidgetAttributes, getWidgetCallbacks, getWidgetServices, main, pingComponent, pollWidget, putDataInWidget, queryVersion, quit, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, returnPing, runComponentMethod, runMethod, serviceResult, setId, setVersion, subscribeTo, subscribeTo, subscribeTo, subscribeTo, unsubscribeFrom, updateAndPollWidget, userCallback, userRequest, userRequest, userRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_NUMBER

    public java.lang.String VERSION_NUMBER

  Widget version number

### VOLUME

    public static final java.lang.String VOLUME

  Tag for user id

### LOCATION

    public static final java.lang.String LOCATION

  Tag for user location

### CLASSNAME

    public static final java.lang.String CLASSNAME

  Name of widget

Constructor Detail

### WSoundLevel

    public WSoundLevel()

  Dummy constructor to allow compilation

Method Detail

### setAttributes

    protected Attributes setAttributes()

  This method implements the abstract method Widget.setAttributes(). It defines the attributes for the widget as: empty
  Overrides:
    setAttributes in class Widget
  Returns:
    the Attributes used by this widget

### setCallbacks

    protected Callbacks setCallbacks()

  This method implements the abstract method Widget.setCallbacks(). It defines the callbacks for the widget as: empty
  Overrides:
    setCallbacks in class Widget
  Returns:
    the Callbacks used by this widget

### setServices

    protected Services setServices()

  This method implements the abstract method Widget.setServices(). It currently has no services and returns an empty Services object.
  Overrides:
    setServices in class Widget
  Returns:
    the Services provided by this widget

### queryGenerator

    protected AttributeNameValues queryGenerator()

  This method implements the abstract method Widget.queryGenerator(). It just returns null.
  Overrides:
    queryGenerator in class Widget
  Returns:
    the AttributeNameValues from this widget's generator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD